Subject: bug#45736: closed (Re: [bug#46053] [PATCH 0/2] Add Ren'py build system)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Feb 2021 14:30:02 +0000

Your bug report

#45736: [PATCH 0/2] Update Renpy

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
45736: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=45736
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#46053] [PATCH 0/2] Add Ren'py build system
From: Leo Prikler <[email-masked]>
To: Nicolas Goaziou <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 07 Feb 2021 15:29:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Am Sonntag, den 24.01.2021, 09:49 +0100 schrieb Nicolas Goaziou:
> LGTM, in addition to #45736.
I've now pushed both this (well, v2 of it) and #45736.

> It should also be documented in the manual.
Documentation is present in v2, which I've pushed.  I hope it's
sufficient.

Regards,
Leo.

Subject: [PATCH 0/2] Update Renpy
From: Leo Prikler <[email-masked]>
To: [email-masked]
Date: Sat, 09 Jan 2021 09:39:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

last year, Ren'py was updated to 7.4.0.  It appears to still need to be
run on Python2 (despite a Python3 compatibility mode being added) with
full Python3 support being on the way for 8.0.  At least I haven't yet
been able to build python3 versions of those packages, but I've tried
to make porting a little smoother in the future.

Regards,
Leo